Bug 1202140 - Review Request: python-rarfile - A RAR archive reader for Python
Summary: Review Request: python-rarfile - A RAR archive reader for Python
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian "der-flo" Lehner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-15 22:00 UTC by Fabian Affolter
Modified: 2015-04-29 13:06 UTC (History)
2 users (show)

Fixed In Version: python-rarfile-2.7-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-28 19:15:37 UTC
Type: ---
dev: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Fabian Affolter 2015-03-15 22:00:48 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-rarfile.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-rarfile-2.7-1.fc21.src.rpm

Project URL: https://github.com/markokr/rarfile

Description:
This is Python module for RAR archive reading. The interface is made as
zipfile like as possible.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=9238899

rpmlint output:
[fab@laptop017 SRPMS]$ rpmlint python-rarfile-2.7-1.fc21.src.rpm 
python-rarfile.src: W: spelling-error %description -l en_US zipfile -> zip file, zip-file, misfile
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[fab@laptop017 noarch]$ rpmlint python*-rar*
python3-rarfile.noarch: W: spelling-error Summary(en_US) argparse -> sparse, parsec, parse
python3-rarfile.noarch: W: spelling-error Summary(en_US) config -> con fig, con-fig, configure
python3-rarfile.noarch: W: spelling-error Summary(en_US) env -> enc, en, envy
python3-rarfile.noarch: W: spelling-error %description -l en_US zipfile -> zip file, zip-file, misfile
python-rarfile.noarch: W: spelling-error %description -l en_US zipfile -> zip file, zip-file, misfile
2 packages and 0 specfiles checked; 0 errors, 5 warnings.


Fedora Account System Username: fab

Comment 1 Florian "der-flo" Lehner 2015-03-16 20:33:25 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find LICENSE in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

   ---> NOT an issue! Package uses %license

   For el6 I suggest to use the following macro:
   %{!?_licensedir:%global license %%doc}


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "ISC", "Unknown or generated". 16 files have unknown license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-rarfile
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=9245528
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-rarfile-2.7-1.fc23.noarch.rpm
          python3-rarfile-2.7-1.fc23.noarch.rpm
          python-rarfile-2.7-1.fc23.src.rpm
python-rarfile.noarch: W: spelling-error %description -l en_US zipfile -> zip file, zip-file, misfile
python3-rarfile.noarch: W: spelling-error %description -l en_US zipfile -> zip file, zip-file, misfile
python-rarfile.src: W: spelling-error %description -l en_US zipfile -> zip file, zip-file, misfile
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
python3-rarfile (rpmlib, GLIBC filtered):
    python(abi)

python-rarfile (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-rarfile:
    python3-rarfile

python-rarfile:
    python-rarfile



Source checksums
----------------
https://pypi.python.org/packages/source/r/rarfile/rarfile-2.7.tar.gz :
  CHECKSUM(SHA256) this package     : 47148088ddb6c020774f4c38927fec9625ca33651bdc551bdaeafc78690b1635
  CHECKSUM(SHA256) upstream package : 47148088ddb6c020774f4c38927fec9625ca33651bdc551bdaeafc78690b1635


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1202140
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Fabian Affolter 2015-03-23 16:50:08 UTC
Thanks for the review.

Comment 3 Fabian Affolter 2015-03-23 16:52:15 UTC
New Package SCM Request
=======================
Package Name: python-rarfile
Short Description: A RAR archive reader for Python
Upstream URL: https://github.com/markokr/rarfile
Owners: fab 
Branches: f22 f21 f20 epel7
InitialCC:

Comment 4 Gwyn Ciesla 2015-03-23 18:33:20 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2015-04-12 11:34:19 UTC
python-rarfile-2.7-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-rarfile-2.7-1.fc22

Comment 6 Fedora Update System 2015-04-12 11:41:42 UTC
python-rarfile-2.7-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-rarfile-2.7-1.fc21

Comment 7 Fedora Update System 2015-04-12 11:48:55 UTC
python-rarfile-2.7-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-rarfile-2.7-1.fc20

Comment 8 Fedora Update System 2015-04-12 11:53:27 UTC
python-rarfile-2.7-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-rarfile-2.7-1.el7

Comment 9 Fedora Update System 2015-04-12 18:00:25 UTC
Package python-rarfile-2.7-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-rarfile-2.7-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-6045/python-rarfile-2.7-1.fc22
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2015-04-28 19:15:37 UTC
python-rarfile-2.7-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 11 Fedora Update System 2015-04-29 12:58:29 UTC
python-rarfile-2.7-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-04-29 13:05:22 UTC
python-rarfile-2.7-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 13 Fedora Update System 2015-04-29 13:06:32 UTC
python-rarfile-2.7-1.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.